%define recoil_ver 4.3.1

Name:           grafx2
Version:        2.6
Release:        %mkrel 2
Summary:        Ultimate 256-color bitmap paint program
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://pulkomandy.tk/projects/GrafX2
# http://pulkomandy.tk/projects/GrafX2/downloads
Source0:        https://gitlab.com/GrafX2/grafX2/-/archive/v%{version}/grafX2-v%{version}.tar.gz
# download 3rdparty recoil project
Source1:        https://downloads.sourceforge.net/project/recoil/recoil/%{recoil_ver}/recoil-%{recoil_ver}.tar.gz
Patch0:         grafx2-2.6-mga-hicolor-icon.patch
Patch1:         grafx2-2.6-mga-desktop.patch
Patch2:         grafx2-2.6-mga-sdl2.patch

BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

%description
GrafX2 is a bitmap paint program inspired by the Amiga programs ​Deluxe
Paint and Brilliance. Specialized in 256-color drawing, it includes a very
large number of tools and effects that make it particularly suitable
for pixel art, game graphics, and generally any detailed graphics painted
with a mouse.

%prep
%autosetup -p1 -n grafX2-v%{version} -a1

# prepare 3rdparty recoil project
mv recoil-%{recoil_ver}/ 3rdparty/recoil-%{recoil_ver}

%build
%set_build_flags
%make_build -C src

%install
%make_install -C src PREFIX=%{_prefix}

install -D -m644 misc/unix/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc doc/README.txt
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.6-2.mga8
+ Revision: 1525395
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Apr 14 2019 daviddavid <daviddavid> 2.6-1.mga7
+ Revision: 1390090
- new version: 2.6
- switch to sdl2
- new source for 3rdparty recoil project

* Sun Sep 23 2018 umeabot <umeabot> 2.5-2.mga7
+ Revision: 1298059
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 akien <akien> 2.5-1.mga7
+ Revision: 1234195
- Version 2.5.1960

* Tue Feb 09 2016 umeabot <umeabot> 2.4-2.mga6
+ Revision: 952572
- Mageia 6 Mass Rebuild

* Wed Mar 04 2015 akien <akien> 2.4-1.mga5
+ Revision: 817669
- imported package grafx2

